function DistortImage(img,times,imgname,Output)
%Perform polynomial transformation on img
%Generate times images, and output it


%% Polynomial Transformation
for rep=1:times
   xybase = reshape(randn(12,1),6,2);
   t_poly = cp2tform(xybase,xybase,'polynomial',2);
   t_poly.tdata =  [0 0;1 0;0 1; 0 0;rand*.01 -.001+rand*.002;-.001+rand*.002 .001+rand*.009];
   I = imtransform(img,t_poly,'FillValues',255);  %transformed
  
   filename = [imgname(1:length(imgname)-4) '_' num2str(rep) '.png'];
   path = [Output 'Distorted Petroglyphs 1280K\' filename];
   imwrite(I, path);
   if rep < 2560
       path = [Output 'Distorted Petroglyphs 640K\' filename];
       imwrite(I, path);
   else
       continue;
   end
   if rep < 1280
       path = [Output 'Distorted Petroglyphs 320K\' filename];
       imwrite(I, path);
   else
       continue;
   end
   if rep < 640
       path = [Output 'Distorted Petroglyphs 160K\' filename];
       imwrite(I, path);
   else
       continue;
   end
   if rep < 320
       path = [Output 'Distorted Petroglyphs 80K\' filename];
       imwrite(I, path);
   else
       continue;
   end
   if rep < 160
       path = [Output 'Distorted Petroglyphs 40K\' filename];
       imwrite(I, path);
   else
       continue;
   end
   if rep < 80
       path = [Output 'Distorted Petroglyphs 20K\' filename];
       imwrite(I, path);
   else
       continue;
   end
   if rep < 40
       path = [Output 'Distorted Petroglyphs 10K\' filename];
       imwrite(I, path);
   else
       continue;
   end
   
end;